Bug 515581 (CVE-2009-2659)

Summary: CVE-2009-2659 Django directory traversal flaw
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bressers, security-response-team, smilner, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2009-2659
Whiteboard: impact=moderate,source=cve,reported=20090804,public=20090729,cvss2=
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-09 16:33:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 515582, 515583, 515584    
Bug Blocks:    

Description Josh Bressers 2009-08-04 20:06:35 UTC
Reference: MLIST:[oss-security] 20090729 CVE Request (django)
Reference: URL:http://www.openwall.com/lists/oss-security/2009/07/29/2
Reference: CONFIRM:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=539134
Reference: CONFIRM:http://code.djangoproject.com/changeset/11353
Reference:
CONFIRM:http://www.djangoproject.com/weblog/2009/jul/28/security/
Reference: BID:35859
Reference: URL:http://www.securityfocus.com/bid/35859

The Admin media handler in core/servers/basehttp.py in Django 1.0 and
0.96 does not properly map URL requests to expected "static media
files," which allows remote attackers to conduct directory traversal
attacks and read arbitrary files via a crafted URL.

Comment 1 Josh Bressers 2009-08-04 20:07:15 UTC
Created django tracking bugs for this issue

CVE-2009-2659 Affects: F10 [bug #515582]
CVE-2009-2659 Affects: F11 [bug #515583]
CVE-2009-2659 Affects: Fdevel [bug #515584]

Comment 2 Tomas Hoger 2009-08-27 06:35:28 UTC
This issue is public, no need for private bug.

Comment 3 Steve Milner 2009-10-09 14:18:58 UTC
These should all be resolved in the current release. I don't have access to close bug #515582 or bug #515583. I believe they can be closed as well.